function [name, p] = getName(fio, seqnum, curInd);
% get file name and full path of fio element 
%
% [name,p] = getName(fio, seqnum, curInd);
% 
  
  name = '';
  p = fio.dirpath;
  if(exist('seqnum')~=1 | seqnum<0)
    seqnum=fio.curseq;
  end
  
  if(seqnum==0)
    if(exist('curInd')~=1)
      curInd = fio.curInd;
    end
  else
    try
      if(exist('curInd')~=1 | curInd<1)
	curInd = fio.subseqs{seqnum}(fio.subseqind(seqnum));
      else
	curInd = fio.subseqs{seqnum}(curInd);
      end
    catch
      warning('subseqind out of bounds');
      im = 0;
      return
    end
  end
  
  if(curInd>0 & curInd<=length(fio.dirlist))
    name = fio.dirlist{curInd};
    p = [fio.dirpath '/' name];
  else
    warning('frame index out of range.');
  end
    
