function [fio, im, name] = nextIm(fio, inc)
% [fio, im, name] = nextIm(fio)
% increment image index within current sequence
% if nargout==1, index is only incremented, image not read
  
  if(exist('inc')~=1)
    inc = 1;
  end
  
  if(seqnum==0)
    fio.curInd = fio.curInd+inc;
  else
    fio.subseqind(seqnum) = fio.subseqind(seqnum) + inc;
  end
  
  if(nargout>1)
    [im, name] = getIm(fio);
  end
  
  
  