function bool = checkCache(fio, dataType, dataName, permanent, fileType) 
% checkCache   check if dataType/dataName is in cache
%
% bool = checkCache(cachePath/fio, dataType, dataName(o), permanent(o), fileType(o)) 
  
  bool = 0;
  if(isa(fio, 'frameIo') & ~useCache(fio,0))
    return;
  end
  if(exist('dataName')~=1)
    dataName = '';
  end
  if(exist('permanent')~=1)
    permanent=0;
  end
  if(exist('fileType')~=1)
    fileType='mat';
  end
  
  cname = cacheName(fio, dataType, dataName, permanent, fileType);
  check = dir(cname);
  bool = (length(check)>0);

  
  