function success = writeCache(fio, data, dataType, dataName, permanent, fileType);
% writeCache  write a cache file 
% success = writeCache(cacheName/fio, data, dataType, dataName(o), permanent(o), fileType(o));  
%  see help cacheName
  success = 0;
  if(isa(fio, 'frameIo') & ~useCache(fio,1))
    return;
  end
  if(exist('dataName')~=1)
    dataName = '';
  end
  if(exist('permanent')~=1)
    permanent=0;
  end

  if(exist('fileType')~=1)
    fileType = 'mat';
  end
  
  [cname, dirname] = cacheName(fio, dataType, dataName, permanent, fileType);
  
  eval(['!mkdir -p ' dirname]);
  if(cname(end-2:end)=='mat') 
    save(cname,'data');
  else
    fileWrite(cname, data);
  end
  
  disp(['wrote to cache: ' cname]);
  success = 1;