function FB = make_filterbank_12(fsize, num_ori, sig)
% make_filterbank_12   makes a predefined filter bank set...
%
% FB = make_filterbank_12(fsize, num_ori, sig) 
%  
% alternative filterbank to the ECCV98 choice
% (it lacks center-surround filters)
% suggested parmas
% fsize = 3, num_ori=6, sig=1,
% fsize = 9, num_ori=6, sig=sqrt(2),
  
M1=fsize;	% size in pixels
M2=M1;
num_ori=6;
N3=2*num_ori;
FB=zeros(M1,M2,N3);
sig = 1;
counter=1;

for n=1:num_ori
   [F1,F2]=quadpair(sig,2,180*(n-1)/num_ori,M1);
   FB(:,:,counter)=F1;
   FB(:,:,counter+num_ori)=F2;
   counter=counter+1;
end

