function fgmask = makefgmask(inim, bg, th, lev,relth)
  if(nargin<4)
    lev = 1;
  end
  if (strcmp(class(inim),'cell'))
    im = inim{1};
  else
    im = inim;
  end
  diff = im-bg;
  if(nargin>4)
    for c=1:length(th)
      % sqrt((mag/relth)/th))*th;
      mth(:,:,c) = max(th(c),sqrt(max(abs(im(:,:,c)),abs(bg(:,:,c)))*(th(c)/relth)));
    end
  else 
    mth(1,1,:) = th;
  end
  if(length(th)==1)
    diff = sum(diff.*diff,3);
    fgmask{1} = (diff>th*th);
  else
    fgmask{1} = (diff(:,:,1)>mth(:,:,1));
    for c=2:length(th)
      fgmask{1} = (fgmask{1})|(diff(:,:,c)>mth(:,:,c));
    end
  end
  for i=2:lev
    fgmask{i} = (reduce(fgmask{i-1})>=0.25);
  end  
  
  mydil = blur(double(fgmask{1}));
  if(lev>1)
    fgmask{1} = (mydil>=0.25);
  else
    fgmask = (mydil>=0.25);
  end
  