function res = modeColor(im)
  
  ch = size(im,3);
  indc = [1 16 16^2 16^3];
  indc = reshape(indc(1:ch),[1 1 ch]);
  
  im1 = floor(15.999*im);
  indx = sum(im1.*repmat(indc,  [size(im,1) size(im,2) 1]),3);
  h = hist(indx(:),(0:16^ch-1));
  [n,i]=max(h);
  
  for c = 1:ch
    res(c) = 16*mod(floor((i-1)/indc(c)),16);
  end
  
  im1 = floor(255.999*im);
  im1 = im1-repmat(reshape(res, [1 1 3]),[size(im,1) size(im,2) 1]);
  im1.*repmat(indc,  [size(im,1) size(im,2) 1]);
  indx = sum(im1.*repmat(indc,  [size(im,1) size(im,2) 1]),3);
  h = hist(indx(:),(-1:16^ch));
  [n,i]=max(h(2:end-1));
  
  for c = 1:ch
    res(c) = res(c)+mod(floor((i-1)/indc(c)),16);
  end

  res = res/255;
  
  
  %im2 = floor(16*im./repmat(rmax, [size(im,1) size(im,2) 1]));
  