function showBoundRect(ims, bgim, start, n, skip)
  h=figure(17);
  for i=start:skip:min(start+skip*n*n-skip,length(ims));
    if(strcmp(class(ims{i}),'cell'))
      im = ims{i}{1};    
    else
      im = ims{i};
    end	
    subplot(n,n,(i-start)/skip+1); 
    
    bgmask = makefgmask(im,bgim,0.01);
    [c,r] = ptMedian(bgmask); 
    hold off; 
    if(length(im(1,1,:))==1)
      image(double(im)*64);
    else
      imagesc(im);
    end  
    axis image;
    hold on;  
    plot(c(2),c(1),'*'); 
    drawRect(r); 
    title(int2str(i));
  end