function im = zeroImBorder(im, n, v)
% zero (or copy some fixed value v into) the border of an image...
% im = zeroImBorder(im, n, v)
% n: (opt) number of pixels (can be 2 numbers [x y]) (def 5)
% v: (opt) value to write (def 0)
  
  
  if(nargin<2)
    n=5;
  end
  
  if(nargin<3)
    v=0;
  end
  
  im(1:n(end),:,:)=v;
  im(end-(0:(n(end)-1)),:,:)=v;
  im(:,1:n(1),:)=v;
  im(:,end-(0:(n(1)-1)),:)=v;

  
