function labelInd = getLabelIndForFrames(fio, labelNum, frameInd)
% labelInd = getLabelIndForFrames(fio, labelNum, frameInd)
% labelInd(j,:) format = [fnum y x]
  
  if(exist('frameInd')~=1)
    frameInd = 1:length(fio);
  end

  
  labelInd = [];
  for f=frameInd
    name = getName(fio, -1, f);
    lp = readCache(fio, 'labeled', name, 1);
    if(~any(lp(:)))
      continue;
    end
    if(length(labelInd))
      labelInd = [labelInd; f*ones(length(labelInd),1)  lp(labelNum,:)];
    else
      labelInd = [labelInd; f*ones(size(lp,1),1) lp];
    end
  end 
  
   if(size(labelInd))
    scalefac = 2^fio.params.rescale;
    labelInd(:,2:3) = round(labelInd(:,2:3) * scalefac);  
  end
  