function transferLabels(fromfio, tofio, frameInd)
  
  fparams = getParams(fromfio);
  tparams = getParams(tofio);
  
  factor = 2^(tparams.rescale-fparams.rescale)
  
  if(exist('frameInd')~=1)
    frameInd = 1:length(fromfio);
  end
  
  for f=frameInd
    name = getName(fromfio, -1, f);
    lp = readCache(fromfio, 'labeled', name, 1);
    if(~any(lp(:)))
      continue;
    end
    lp = lp*factor;
    writeCache(tofio, lp, 'labeled', name, 1);
  end