function [I,comments] = pgmread1(filename)
  
  fid = fopen(filename, 'r');
  magic = char(fread(fid, [1 2]));
  if(~strcmp(magic, 'P5'))
    fclose(fid);
    I = pgmread(filename);
    comments = '';
    return;
  end
  
  junk = fgetl(fid);
  nc=0;
  comments={};
  while(1)
    ln = fgetl(fid);
    if(ln(1)=='#')
      nc=nc+1;
      comments{nc}=ln(2:end);
    else
      break;
    end
  end
  
  sz = str2num(ln); assert(length(sz)==2);
  ln = fgetl(fid);
  maxval =  str2num(ln);
  
  [ data, count ] = fread( fid, prod(sz), 'uint8' );
  I = double(reshape(data, [sz(1) sz(2)])')/maxval;
  
  fclose(fid);
  
  