function c = letter2color(l);
% letter2color  convert a letter to an rgb color value
%
% c = letter2color(l)
% l can be any of: r g b c m y k w
% or 
% if l is an [r g b] color already , then c=l
% if l = [], then [1 0 0] (red) is returned...

  if(length(l)==0)
    c = [1 0 0];
  end
  
  switch l(1)
   case 'r'
    c = [1 0 0];
   case 'g'
    c = [0 1 0];
   case 'b'
    c = [0 0 1];
   case 'c'
    c = [0 1 1];
   case 'm'
    c = [1 0 1];
   case 'y'
    c = [1 1 0];
   case 'k'
    c = [0 0 0];
   case 'w'
    c = [1 1 1];
   otherwise
    if(isnumeric(l) & length(l)==3)
      c=l;
    else
      c = [1 0.5 0];
    end
  end