function h = mplot(varargin)
% mplot   plot with larger marker and line (uses ExpParam) 
%
% h = mplot(plot_params...)
%
% plot_params... passed into plot
% h = handle
  
  
  global ExpParam;
  
  if(length(varargin{1})==1)
    h = plot(varargin{:}, 'LineWidth', varargin{1}, ...
	     'MarkerSize', ExpParam.markersize);
  else
    h = plot(varargin{:}, 'LineWidth', ExpParam.linew, ...
	   'MarkerSize', ExpParam.markersize);
  end

  if(nargout==0)
    clear h;
  end