function lev = findClosestPyrLevel(pyr,scale)
% findClosesPyrLevel   given a scale in octaves, find the closest pyramid level
%
% lev = findClosesPyrLevel(pyr, scale)
%
% pyr - pyramid
% scale - in octaves
%
% lev - integer to be used as pyr{lev}

  
  lev=1; bestld=inf;
  for li=1:length(pyr)
    if(bestld > abs(pyr{li}.scale-scale))
      lev = li;
      bestld = abs(pyr{li}.scale-scale);
    end
  end
