function fio = addSpec(fio, name, data)
% addSpec  adds or alters spceial data elements 
%
% fio = addSpec(fio, name, data(o))
% name is either a tag name or an index
%   if name is a tag and does not exist already, it will be created
% data (optional) the data that should be set for this tag
%   it data is not given, file is read from dirpath/tag
  
  idx = length(fio.specimname)+1;  
  if(isa(name, 'char'))
    for i=1:length(fio.specimname)
      if(length(name)<=length(fio.specimname{i}) & ...
	 (fio.specimname{i}(1:length(name))==name))
	idx = i;
	break;
      end
    end
  elseif(specim<=length(fio.specimname))
    idx = name;
  else
    return;
  end

  if(idx>length(fio.specimname))
    fio.specimname{idx} = name; 
  end

  if(exist('data')~=1)
    fio.specim{idx} = double(fileRead([dirpath '/' fio.specimname{idx}])); 
  else
    fio.specim{idx} = data;
  end
  
  