function l = length(fio)
% length(fio) the length of the current subsequence
%
% l = length(fio)
% use for i=1:length(fio), x=fio{i}, end; to walk through the current 
% subsequence

  if(fio.curseq==0)
    l = length(fio.dirlist);
  else
    l = length(fio.subseqs{fio.curseq});
  end