function [fio, im, name] = setIm(fio, seqnum, ind)
%[fio, im, name] = setIm(fio, seqnum, ind)
% set sequence and (optionally) 
  if(exist('seqnum')~=1 | seqnum<0)
    seqnum = fio.curseq;
  else
    fio.curseq = seqnum;
  end
  
  if(exist('ind')==1)
    if(seqnum==0)
      fio.curInd = ind;
    else
      fio.subseqind(seqnum) = ind;
    end
  end
  
  if(nargout>1)
    [im, name] = getIm(fio);
  end
  
  
  