function fio = setParams(fio, varargin)
% setParams(fio)   set elements of fio params struct (params is passed to IO func)
%
% fio = setParams(fio, 'paramName1', value1, ...)
% if paramName is not a field, it is created. other parameters, with different names, are not changed.
% some useful parameters to set are:
% rot      a number from 0 to 8 that controls rotation and mirroring of input image
% rescale  reduce (positive) or enlarge (negative) the image by 2^(-reducit) factor
  
  for i=2:2:length(varargin)
    fio.params = setfield(fio.params, varargin{i-1}, varargin{i});
  end

  
