function bool = cacheCheck(gfio, imName, func, varargin)
% bool = cacheCheck(gfio, imName, func, varargin)
%  gfio is a frameIo class or 0
%  imName is an image name or ''
%  func is a function handle
%  varargin are the arguments to the function

  
  
  if(~isa(gfio, 'frameIo'))
    clear gfio;
    global gfio;
  end

  bool = 0;
  if(exist('gfio')==1 ) 
    ff = functions(func);
    bool = checkCache(gfio, ff.function, imName);
  end
