function data = readCache(fio, dataType, dataName, permanent, fileType) 
% readCache  read cache item
% data = readCache(cachePath/fio, dataType, dataName, permanent(o)) 
%  see help cacheName
   
  data = 0;
  if(isa(fio, 'frameIo') & ~useCache(fio,0))
    return;
  end
  
  if(exist('dataType')~=1)
    dataType = '';
  end
  
  if(exist('permanent')~=1)
    permanent=0;
  end

  if(exist('fileType')~=1)
    fileType = 'mat';
  end

  cname = cacheName(fio, dataType, dataName, permanent, fileType);
  check = dir(cname);
  if(length(check))
    data = fileRead(cname);
    disp(['read from cache: ' cname]);
  else
    disp(['not in cache: ' cname]);
  end
  
  