
function [frames] = getAviFrames(filename,firstframe,lastframe)

%
%  function [frames] = getAviFrames(filename,firstframe,lastframe)
%
%  INPUT
%         filename   - avi file of interest
%         firstframe - first frame number to rip
%         lastframe - last frame number to rip
%
%  OUTPUT
%
%         frames - [(lastframe-firstframe+1) x 1] cellarray of [H x W x 3] 8 bit RGB image data
%
%
%
% charless fowlkes <fowlkes@eecs.berkeley.edu>
% 8.15.03
%
