function hwim = halfWaveRectChannels(im)
% halfWaveRectChannels   given an image, split the channels into positive and negative components
%
% hwim = halfWaveRectChannels(im)
%
% hwim - has 2N channels, where im had N, but all are positive valued
%        the first N are non zero where im was >0, 
%        the 2nd   N are non zero where im was <0
  
  hwim = cat(3, im.*(im>0), -im.*(im<0)); 
