function showTefim(tefim, im, fignum, rect)
  acm = [0.5+cos(linspace(0,2*pi,256))'/2 0.5+sin(linspace(0,2*pi,256))'/2 ...
	 0.5-cos(linspace(0,2*pi,256))'/2];
  
  if(nargin>2)
    figure(fignum);
  end
  colormap(acm);
  
  if (nargin<4)
    if(nargin>1)
      subplot(2,2,1);
      imagesc(im); axis image;
    end
    
    subplot(2,2,2);
    imagesc(tefim(:,:,1).*(tefim(:,:,2)>0.02)); axis image; colorbar;
    subplot(2,2,3);
    imagesc(tefim(:,:,2)); axis image; colorbar;
    subplot(2,2,4);
    imagesc(tefim(:,:,3).*(tefim(:,:,2)>0.02)); axis image; colorbar;
  else 
    if(nargin>1)
      subplot(2,2,1);
      imagesc(im(rect(1,1):rect(2,1),rect(1,2):rect(2,2),:)); axis image;
    end
    
    subplot(2,2,2);
    imagesc(tefim(rect(1,1):rect(2,1),rect(1,2):rect(2,2),1).*(tefim(rect(1,1):rect(2,1),rect(1,2):rect(2,2),2)>0.02)); axis image; colorbar;
    subplot(2,2,3);
    imagesc(tefim(rect(1,1):rect(2,1),rect(1,2):rect(2,2),2)); axis image; colorbar;
    subplot(2,2,4);
    imagesc(tefim(rect(1,1):rect(2,1),rect(1,2):rect(2,2),3).*(tefim(rect(1,1):rect(2,1),rect(1,2):rect(2,2),2)>0.02)); axis image; colorbar;    
  end
  
   
    