function testOnFrames(fio, start, func, varargin)
    
  frame=start;
  lev = 0;
  imd1 = makeImDataStruct(fio,frame);
  imd2 = makeImDataStruct(fio,frame+1);
  while(1)
    figure(10)
    colormap(gray)
    imagesc(imd1.im); axis image;
    title(['frame: ' imd1.name]);
    
    [x,y]=ginput(1);
    
    if (y<10)
      return;
    end
    rehash;
    
    if (x<10)
      frame=frame-1;
      imd2=imd1;
      imd1=makeImDataStruct(fio,frame);
    elseif( x>(size(imd1.im,2)-10) )
      frame=frame+1;
      imd1=imd2;
      imd2=makeImDataStruct(fio,frame+1);      
    elseif(y>size(imd1.im,1)-2)
      if (x>size(imd1.im,1)/2)
        lev = min(lev+1, 4)
      else
        lev = max(0,lev-1)
      end
      fio = setParams(fio, lev); 
      imd1 = makeImDataStruct(fio,frame);
      imd2 = makeImDataStruct(fio,frame+1);
    elseif (frame>0)
      %sctest(imd1, imd2);
      feval(func, imd1, imd2, varargin{:});
      %trackTest(im, im2, [y x], [4 4], [4 10]);

     %[x2,y2]=ginput(1);

    end 
  
  end
