function showChannels(im, fignum, cbar, titles)
  
  if(nargin<2)
    fignum = 90;
  end
  if(nargin<3)
    cbar=0;
  end
  [figp] = parseFignum(fignum, size(im,3));
  for i=1:size(im,3)
    subplot(figp(1),figp(2),figp(3)+i-1);
    imagesc(im(:,:,i)); axis image; 
    if(bitand(cbar,1))
      colorbar;
    end
    if(bitand(cbar,2))
      axis xy;
    end
    if(nargin>3)
      if(isa(titles,'numeric') & length(titles)>=i)
	title(titles(i));
      end
    end
  end
