function [lp, button] = labelPoints(fio, ind, labels)
  
  if(exist('labels')~=1)
    labels = faceLabels;
  end
  
  [im, name]= getIm(fio, -1, ind);
  figure(20)
  lp = readCache(fio, 'labeled', name, 1);

  if(lp==0)
    lp = [];
  end
  l=size(lp,1)+1;
  hold off; imagegr(im); axis image; hold on;
  if(l>1)
    plot(lp(1:l-1,2), lp(1:l-1,1), 'r.');
  end
  while (l<=length(labels)+1)
    if(l<length(labels))
      disp(labels{l});
    else
      disp('end');
    end
    [x, y, button] = ginput(1);
    if(button==1)
      lp(l, :) = [y x];
      l=l+1;
      plot(lp(l-1,2),lp(l-1,1),'r.');
    elseif(button==8) %backspace
      l = max(1,l-1);
      hold off; imagegr(im); axis image; hold on;
      if(l>1)
	plot(lp(1:l-1,2), lp(1:l-1,1), 'r.');
      end
    elseif(button=='q')
      return
    end
  end

  lp = lp(1:end-1,:);
  writeCache(fio, lp, 'labeled', name, 1);
  