function ms = maybesparse(a, p)
% make a sparse if it has less than p percent nonzeros 
%
% ms = maybesparse(a, p)
% p is optional (default=0.5);
  
  if(nargin<2)
    p=0.5;
  end 
  
  if(nnz(a)<prod(size(a))*p)
    ms = sparse(a);
  else
    ms = a;
  end
  