function ra = roundto(a,fracto)
% roundto   rounds to nearest value with given fractional part
%
% ra = roundto(a,fracto) 
%
% rounds a to the nearest value which has fractional component of the values 
%   in fracto
% 
% 
  f = mod(fracto,1);
  ra = round(a-f)+f;