function s = size1(a, dims)
% size1  like matlab's size, but allows you to specify multiple dims 
%
% s = size1(a, dims)
% 
% e.g.
%   s = size1(rand(2,3,4,5), [2 4]) -> s = [3 5];
  
  s = size(a);
  s = [s ones(1,max(0, max(dims)-length(s)))];
  s = s(dims);
  
    
  