function s = structArray2Struct(sa, toarray)
% structArray2Struct  convert an array of structures to a single struct with arrays
%
% s = structArray2Struct(sa, toarray)
%
% toarray - (o) bool - make each field a normal or cell array? (def. 0 = cell)
      
  if(nargin<2)
    toarray=0;
  end
  
  fn = fieldnames(sa);
  sac = struct2cell(sa);
  s = sa(1);
  for i=1:length(fn)
    if(toarray)
      v = cat(1, sac{i,:});
    else
      v = {sac{i,:}}
    end
    s = setfield(s, fn{i}, v); 
  end
  