% Portable Bitmap Toolbox.
% Version 1.004 27-May-1998
%
% Image input/output.
%   pbmread    - Read a PBM (Portable bitmap) file from disk.
%   pbmwrite   - Write a PBM (Portable bitmap) file to disk.
%   pgmread    - Read a PGM (Portable graymap) file from disk.
%   pgmwrite   - Write a PGM (Portable graymap) file to disk.
%   ppmread    - Read a PPM (Portable pixmap) file from disk.
%   ppmwrite   - Write a PPM (Portable pixmap) file to disk.
%   xbmread    - Read a XBM (X11 bitmap) file from disk.
%   xbmwrite   - Write a XBM (X11 bitmap) file to disk.
%
% Color map manipulation.
%   cmsort     - Sort color map.
%
% Image conversions.
%   im2ind     - Convert image to indexed image.
%   im2inds    - Convert image to indexed image (slow/memory efficient).
%   im2indr    - Convert image to indexed image (by removal).
%   im2indd    - Convert image to indexed image (direct).
%
% Demos and test programs.
%   pnmdemo    - Demonstration of portable bitmap utilities.
%   pnmtest    - Test program for the PNM Toolbox.
%
% Miscellaneous functions.
%   pnmgeti    - Get integers from an ascii encoded PBM/PGM/PPM file.
%   pnmmagic   - Find and identify magic number in PBM/PGM/PPM file.

%   Author:      Peter J. Acklam
%   Time-stamp:  1998-05-27 21:51:16
%   E-mail:      jacklam@math.uio.no (Internet)
%   WWW URL:     http://www.math.uio.no/~jacklam
