function dg = gaussDeriv(x, mean, sigma, der)
% gaussDeriv   evaluate the Nth derivative of a normal distribution 
%
% dg = gaussDeriv(x, mean, sigma, der)
  
  dg = gaussian(x, mean, sigma);
  for i=1:der
    dgn = conv(dg,[0.5 0 -0.5]);
    dg = dgn(2:end-1);
  end

  
  
  
    
