function cD = joint2cond(jD, sumcols)
% joint2cond   convert joint distribution matrix to the conditional distribution matrix
%
% cD = joint2cond(jD, sumcols)
  
  if(nargin<2 | sumcols)
    cD = jD./repmat(sum(jD), [size(jD,1) 1]);
  else
    cD = jD./repmat(sum(jD,2), [1 size(jD,2)]);
  end
