function reprint(name, figdir, closeit);
  global ExpParam;
  figure(2000);
  if(nargin<2)
    FigDir = ExpParam.FigDir;
  else
    FigDir = figdir;
  end
  
  if(any(name=='*'))
    d = dir([FigDir '/' name '.fig']);
    for i=1:length(d)
      hgload([FigDir '/' d(i).name]);
      mprint(d(i).name);
      if(nargin>2 & closeit)
	close;
      end
    end
  else
    hgload([FigDir '/' name '.fig']);
    if(nargin>2 & closeit)
      close;
    end
  end
