function lm = localmax(ndimage)
% localmax  make local maximum image in N-Dim image
%
% lm = localmax(ndimage)
% lm - each pixel has value that is the max of it+neighbours
  
  s = size(ndimage);
  lm = ndimage;
  if(length(s)>0)
    lm(2:end-1,:,:,:) = max(lm(2:end-1,:,:,:), max(lm(1:end-2,:,:,:),lm(3:end,:,:,:)));
  end
  if(length(s)>1)
    lm(:,2:end-1,:,:) = max(lm(:,2:end-1,:,:), max(lm(:,1:end-2,:,:),lm(:,3:end,:,:)));
  end
  if(length(s)>2)
    lm(:,:,2:end-1,:) = max(lm(:,:,2:end-1,:), max(lm(:,:,1:end-2,:),lm(:,:,3:end,:)));
  end
  if(length(s)>3)
    lm(:,:,:,2:end-1) = max(lm(:,:,:,2:end-1), max(lm(:,:,:,1:end-2),lm(:,:,:,3:end)));
  end
