function res = twoImNbr(im1, im2, nbr, fcomp, fadd, initval, comparg, addarg)
  
  if(isa(nbr, 'strel'))
    nbr = makeNbr(nbr);
  end
  [i,j] = ind2sub(size(nbr), find(nbr));
  
  i=(i-floor(size(nbr,1)/2)-1);
  j=(j-floor(size(nbr,2)/2)-1);
  
  imax = max(abs(i));
  jmax = max(abs(j));
  
  im2p = padarray(im2, [imax jmax], 'replicate', 'both');
  
  res = initval;
  for c=1:length(i)
    if(exist('comparg') & any(comparg))
      cmp = feval(fcomp, im1, im2p((imax+1:end-imax)+i(c),(jmax+1:end-jmax)+j(c),:), comparg);
    else
      cmp = feval(fcomp, im1, im2p((imax+1:end-imax)+i(c),(jmax+1:end-jmax)+j(c),:));
    end
    if(exist('addarg') & any(addarg))
      res = feval(fadd, res, cmp, addarg);
    else
      res = feval(fadd, res, cmp);
    end
  end