function [hfac, terms] = hf_compAllCandidates(hfbase, para)
% hf_compSelect   takes the base hyper-features and computes all candidate h-fs
% 
% [hfac, terms] = hf_compAllCandidates(hfbase, para)
%
% para.maxExp = maximum order term (e.g. 3)
%
% Todo: at the moment this does not do cross-terms! add them...
  
  fns = fieldnames(hfbase);
  vals = struct2cell(hfbase);
  hfac = struct('');
  
  c=0;
  for i=1:length(fns)
    for j=1:para.max_exp      
      c=c+1;
      
      val = vals{i}.^j;
      fn = [fns{i} num2str(j)];
      hfac = setfield(hfac, {1}, fn, val);
      
      terms(c).vars = {fns{i}};
      terms(c).exp = j;
    end
  end
