function [np, cmi] = h_findNextPatch(ord, cmi, cid, hid, para)
% h_findNextPatch   find the next patch for the cascade
%
% [np, cmi] = h_findNextPatch(ord, cmi, cid, hid, para)
%
% np - [index_into_p mi cmi]
% cmi - current cond mi estimate of each patch (a state that should be passed back)
% 
  
  % get index of best next patch
  [ccmi, ind] = max(cmi);
  
  % set up next patch return value
  np = [ind cid.mi(ind) ccmi];
  
  % ------------------------------
  % update cmi for next time
  
  % label this patch as used
  cmi(ind)=0;
  
  % update cmi estimate given this new patch in model 
  % (TODO - currently all independent...)
  % cmi = mi_updateCMI(np, cmi, cid.mi, cid.hf.pairflat, hid.hfdat, para); 

  